Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageMathematics Class Reference

`#include <vtkImageMathematics.h>`

Inheritance diagram for vtkImageMathematics:

[legend]
Collaboration diagram for vtkImageMathematics:

[legend]
List of all members.

## Detailed Description

Add, subtract, multiply, divide, invert, sin, cos, exp, log.

Date:
  2002/01/30 19:14:31

Revision:
  1.30

vtkImageMathematics implements basic mathematic operations SetOperation is used to select the filters behavior. The filter can take two or one input.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (41%)
  - Martin, Ken (32%)
  - Lorensen, Bill (7%)
  - Blezek, Dan (5%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageMathematics.h)`
  - .`cxx` (`/Imaging/vtkImageMathematics.cxx)`

Tests:
  vtkImageMathematics (Tests)

Definition at line 72 of file vtkImageMathematics.h.

## Public Types
typedef vtkImageTwoInputFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetOperationToInvert ()
void | SetOperationToSin ()
void | SetOperationToCos ()
void | SetOperationToExp ()
void | SetOperationToLog ()
void | SetOperationToAbsoluteValue ()
void | SetOperationToSquare ()
void | SetOperationToSquareRoot ()
void | SetOperationToMin ()
void | SetOperationToMax ()
void | SetOperationToATAN ()
void | SetOperationToATAN2 ()
void | SetOperationToMultiplyByK ()
void | SetOperationToAddConstant ()
void | SetOperationToReplaceCByK ()
virtual void | SetConstantK (double)
virtual double | GetConstantK ()
virtual void | SetConstantC (double)
virtual double | GetConstantC ()
virtual void | SetDivideByZeroToC (int)
virtual int | GetDivideByZeroToC ()
virtual void | DivideByZeroToCOn ()
virtual void | DivideByZeroToCOff ()
virtual void | SetOperation (int)
virtual int | GetOperation ()
void | SetOperationToAdd ()
void | SetOperationToSubtract ()
void | SetOperationToMultiply ()
void | SetOperationToDivide ()
void | SetOperationToConjugate ()
void | SetOperationToComplexMultiply ()
## Static Public Methods
vtkImageMathematics * | New ()
int | IsTypeOf (const char *type)
vtkImageMathematics * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageMathematics ()
| ~vtkImageMathematics ()
void | ExecuteInformation (vtkImageData **inDatas, vtkImageData *outData)
void | ExecuteInformation ()
void | ThreadedExecute (vtkImageData **inDatas, vtkImageData *outData, int extent[6], int id)
## Protected Attributes
int | Operation
double | ConstantK
double | ConstantC
int | DivideByZeroToC

## Member Typedef Documentation

typedef vtkImageTwoInputFilter vtkImageMathematics::Superclass

| Reimplemented from vtkImageTwoInputFilter. Definition at line 76 of file vtkImageMathematics.h.

## Constructor & Destructor Documentation

vtkImageMathematics::vtkImageMathematics | ( |  | ) | `[protected]`

vtkImageMathematics::~vtkImageMathematics | ( |  | ) | `[inline, protected]`

| Definition at line 120 of file vtkImageMathematics.h.

## Member Function Documentation

vtkImageMathematics* vtkImageMathematics::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageMathematics::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageTwoInputFilter.

int vtkImageMathematics::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageTwoInputFilter.

virtual int vtkImageMathematics::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageTwoInputFilter.

vtkImageMathematics* vtkImageMathematics::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageTwoInputFilter.

void vtkImageMathematics::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageTwoInputFilter.

virtual void vtkImageMathematics::SetOperation | ( | int |  | ) | `[virtual]`

| Set/Get the Operation to perform.

virtual int vtkImageMathematics::GetOperation | ( |  | ) | `[virtual]`

| Set/Get the Operation to perform.

void vtkImageMathematics::SetOperationToAdd | ( |  | ) | `[inline]`

| Set/Get the Operation to perform. Definition at line 83 of file vtkImageMathematics.h. References VTK_ADD.

void vtkImageMathematics::SetOperationToSubtract | ( |  | ) | `[inline]`

| Set/Get the Operation to perform. Definition at line 84 of file vtkImageMathematics.h. References VTK_SUBTRACT.

void vtkImageMathematics::SetOperationToMultiply | ( |  | ) | `[inline]`

| Set/Get the Operation to perform. Definition at line 85 of file vtkImageMathematics.h. References VTK_MULTIPLY.

void vtkImageMathematics::SetOperationToDivide | ( |  | ) | `[inline]`

| Set/Get the Operation to perform. Definition at line 86 of file vtkImageMathematics.h. References VTK_DIVIDE.

void vtkImageMathematics::SetOperationToConjugate | ( |  | ) | `[inline]`

| Set/Get the Operation to perform. Definition at line 87 of file vtkImageMathematics.h. References VTK_CONJUGATE.

void vtkImageMathematics::SetOperationToComplexMultiply | ( |  | ) | `[inline]`

| Set/Get the Operation to perform. Definition at line 88 of file vtkImageMathematics.h. References VTK_COMPLEX_MULTIPLY.

void vtkImageMathematics::SetOperationToInvert | ( |  | ) | `[inline]`

| Definition at line 92 of file vtkImageMathematics.h. References VTK_INVERT.

void vtkImageMathematics::SetOperationToSin | ( |  | ) | `[inline]`

| Definition at line 93 of file vtkImageMathematics.h. References VTK_SIN.

void vtkImageMathematics::SetOperationToCos | ( |  | ) | `[inline]`

| Definition at line 94 of file vtkImageMathematics.h. References VTK_COS.

void vtkImageMathematics::SetOperationToExp | ( |  | ) | `[inline]`

| Definition at line 95 of file vtkImageMathematics.h. References VTK_EXP.

void vtkImageMathematics::SetOperationToLog | ( |  | ) | `[inline]`

| Definition at line 96 of file vtkImageMathematics.h. References VTK_LOG.

void vtkImageMathematics::SetOperationToAbsoluteValue | ( |  | ) | `[inline]`

| Definition at line 97 of file vtkImageMathematics.h. References VTK_ABS.

void vtkImageMathematics::SetOperationToSquare | ( |  | ) | `[inline]`

| Definition at line 98 of file vtkImageMathematics.h. References VTK_SQR.

void vtkImageMathematics::SetOperationToSquareRoot | ( |  | ) | `[inline]`

| Definition at line 99 of file vtkImageMathematics.h. References VTK_SQRT.

void vtkImageMathematics::SetOperationToMin | ( |  | ) | `[inline]`

| Definition at line 100 of file vtkImageMathematics.h. References VTK_MIN.

void vtkImageMathematics::SetOperationToMax | ( |  | ) | `[inline]`

| Definition at line 101 of file vtkImageMathematics.h. References VTK_MAX.

void vtkImageMathematics::SetOperationToATAN | ( |  | ) | `[inline]`

| Definition at line 103 of file vtkImageMathematics.h. References VTK_ATAN.

void vtkImageMathematics::SetOperationToATAN2 | ( |  | ) | `[inline]`

| Definition at line 104 of file vtkImageMathematics.h. References VTK_ATAN2.

void vtkImageMathematics::SetOperationToMultiplyByK | ( |  | ) | `[inline]`

| Definition at line 105 of file vtkImageMathematics.h. References VTK_MULTIPLYBYK.

void vtkImageMathematics::SetOperationToAddConstant | ( |  | ) | `[inline]`

| Definition at line 106 of file vtkImageMathematics.h. References VTK_ADDC.

void vtkImageMathematics::SetOperationToReplaceCByK | ( |  | ) | `[inline]`

| Definition at line 107 of file vtkImageMathematics.h. References VTK_REPLACECBYK.

virtual void vtkImageMathematics::SetConstantK | ( | double |  | ) | `[virtual]`

virtual double vtkImageMathematics::GetConstantK | ( |  | ) | `[virtual]`

virtual void vtkImageMathematics::SetConstantC | ( | double |  | ) | `[virtual]`

virtual double vtkImageMathematics::GetConstantC | ( |  | ) | `[virtual]`

virtual void vtkImageMathematics::SetDivideByZeroToC | ( | int |  | ) | `[virtual]`

virtual int vtkImageMathematics::GetDivideByZeroToC | ( |  | ) | `[virtual]`

virtual void vtkImageMathematics::DivideByZeroToCOn | ( |  | ) | `[virtual]`

virtual void vtkImageMathematics::DivideByZeroToCOff | ( |  | ) | `[virtual]`

void vtkImageMathematics::ExecuteInformation | ( | vtkImageData ** | inDatas,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageMultipleInputFilter.

void vtkImageMathematics::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageMultipleInputFilter. Definition at line 128 of file vtkImageMathematics.h. References vtkImageMultipleInputFilter::ExecuteInformation().

void vtkImageMathematics::ThreadedExecute | ( | vtkImageData ** | inDatas,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | id
| ) | `[protected, virtual]`

| The execute method created by the subclass. This is kept public instead of protected since it is called from a non-member thread function. Reimplemented from vtkImageMultipleInputFilter.

## Member Data Documentation

int vtkImageMathematics::Operation`[protected]`

| Definition at line 122 of file vtkImageMathematics.h.

double vtkImageMathematics::ConstantK`[protected]`

| Definition at line 123 of file vtkImageMathematics.h.

double vtkImageMathematics::ConstantC`[protected]`

| Definition at line 124 of file vtkImageMathematics.h.

int vtkImageMathematics::DivideByZeroToC`[protected]`

| Definition at line 125 of file vtkImageMathematics.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageMathematics.h